Package fr.gouv.vitam.metadata.core.reconstruction.domain.extractor

# Class ObjectPurgedPersistentIdentifierExtractor

java.lang.Object
fr.gouv.vitam.metadata.core.reconstruction.domain.extractor.PurgedPersistentIdentifierExtractor
fr.gouv.vitam.metadata.core.reconstruction.domain.extractor.ObjectPurgedPersistentIdentifierExtractor

public class ObjectPurgedPersistentIdentifierExtractor extends PurgedPersistentIdentifierExtractor

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OBJECT`

  ### Fields inherited from class fr.gouv.vitam.metadata.core.reconstruction.domain.extractor.PurgedPersistentIdentifierExtractor

  `UNIT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectPurgedPersistentIdentifierExtractor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PurgedPersistentIdentifier`
  `buildObjetPurgedPersistentIdentifier(String objectGroupId, com.fasterxml.jackson.databind.JsonNode element, ReconstructionOperation operation)`
  `List<PurgedPersistentIdentifier>`
  `extractPurgedPersistentIdentifier(com.fasterxml.jackson.databind.JsonNode node, ReconstructionOperation operation)`

  ### Methods inherited from class fr.gouv.vitam.metadata.core.reconstruction.domain.extractor.PurgedPersistentIdentifierExtractor

  `extractPersistentIdentifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OBJECT

    public static final String OBJECT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ObjectPurgedPersistentIdentifierExtractor

    public ObjectPurgedPersistentIdentifierExtractor()

- ## Method Details

  - ### extractPurgedPersistentIdentifier

    public List<PurgedPersistentIdentifier> extractPurgedPersistentIdentifier(com.fasterxml.jackson.databind.JsonNode node, ReconstructionOperation operation)
    Specified by:
      `extractPurgedPersistentIdentifier` in class `PurgedPersistentIdentifierExtractor`

  - ### buildObjetPurgedPersistentIdentifier

    public PurgedPersistentIdentifier buildObjetPurgedPersistentIdentifier(String objectGroupId, com.fasterxml.jackson.databind.JsonNode element, ReconstructionOperation operation)